/*
 * Copyright 2024 KylinSoft Co., Ltd.
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

import QtQuick 2.12
import QtQuick.Window 2.12
import org.kde.kwin 3.0 as KWinComponents

Repeater {
    id : desktopWindowRepeater
    model : desktopDragRect.appmodel
    KWinComponents.WindowThumbnailItem {
        width : Math.floor(model.width * desktopScale)
        height : Math.floor(model.height * desktopScale)
        visible : !(model.minimized)
        x : Math.floor((model.x - screenRect.x) * desktopScale)
        y : Math.floor((model.y - screenRect.y) * desktopScale)
        wId: model.uuid
    }
}



